Package opennlp.tools.sentdetect.lang

# Class Factory

java.lang.Object
opennlp.tools.sentdetect.lang.Factory

public class Factory extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final char[]`
  `defaultEosCharacters`
  `static final char[]`
  `jpnEosCharacters`
  `static final char[]`
  `ptEosCharacters`
  `static final char[]`
  `thEosCharacters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Factory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `opennlp.tools.sentdetect.EndOfSentenceScanner`
  `createEndOfSentenceScanner(char[] customEOSCharacters)`
  `opennlp.tools.sentdetect.EndOfSentenceScanner`
  `createEndOfSentenceScanner(String languageCode)`
  `opennlp.tools.sentdetect.SDContextGenerator`
  `createSentenceContextGenerator(String languageCode)`
  `opennlp.tools.sentdetect.SDContextGenerator`
  `createSentenceContextGenerator(String languageCode, Set<String> abbreviations)`
  `opennlp.tools.sentdetect.SDContextGenerator`
  `createSentenceContextGenerator(Set<String> abbreviations, char[] customEOSCharacters)`
  `char[]`
  `getEOSCharacters(String languageCode)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ptEosCharacters

    public static final char[] ptEosCharacters

  - ### defaultEosCharacters

    public static final char[] defaultEosCharacters

  - ### thEosCharacters

    public static final char[] thEosCharacters

  - ### jpnEosCharacters

    public static final char[] jpnEosCharacters

- ## Constructor Details

  - ### Factory

    public Factory()

- ## Method Details

  - ### createEndOfSentenceScanner

    public opennlp.tools.sentdetect.EndOfSentenceScanner createEndOfSentenceScanner(String languageCode)

  - ### createEndOfSentenceScanner

    public opennlp.tools.sentdetect.EndOfSentenceScanner createEndOfSentenceScanner(char[] customEOSCharacters)

  - ### createSentenceContextGenerator

    public opennlp.tools.sentdetect.SDContextGenerator createSentenceContextGenerator(String languageCode, Set<String> abbreviations)

  - ### createSentenceContextGenerator

    public opennlp.tools.sentdetect.SDContextGenerator createSentenceContextGenerator(Set<String> abbreviations, char[] customEOSCharacters)

  - ### createSentenceContextGenerator

    public opennlp.tools.sentdetect.SDContextGenerator createSentenceContextGenerator(String languageCode)

  - ### getEOSCharacters

    public char[] getEOSCharacters(String languageCode)